body {
    font-family: "Fauna One", serif;
    font-weight: 400;
    font-style: normal;
    margin: 0;
    background-color: #F3E4C9;
    color: #6e533f;
}

.signUpContainer {
    display: flex;
    flex-direction: column;
    align-self: center;
    justify-self: center;
    margin: 16px;
    padding: 32px;
    margin-top: 25vh;
    border: 1px solid #725b4b;
    border-radius: 8px;
}

.signUpContainer h2 {
    text-align: center;
}

label {
    margin-bottom: 6px;
    font-weight: bold;
}

.inputField, .selectField {
    height: 32px;
    border-radius: 8px;
    border: 1px solid #A98B76;
    outline: none;
    transition: 0.5s;
    font-size: large;
    padding: 6px;
}

.inputField:focus {
    border: 1px solid #725b4b;
    transform: scale(1.05);
}

.continueButton {
    height: 45px;
    padding: 8px;
    border-radius: 8px;
    border: 2.5px solid #969b71;
    box-shadow: 0px 0px 20px -20px;
    cursor: pointer;
    background-color: #8b8f6c;
    color: white;
    transition: all 0.2s ease-in-out 0ms;
    user-select: none;
    font-weight: bold;
    font-size: large;
}

.continueButton:hover {
    background-color: #BABF94;
    box-shadow: 0px 0px 20px -18px;
}

.continueButton:active {
    transform: scale(0.95);
}

/*! main page */

.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px dotted #725b4b;
    font-weight: bold;
    padding: 0px 12px 0px 12px;
}

.header button {
    background-color: transparent;
    border: none;
    outline: none;
}

.header button img {
    width: 40px;
}

.dataContainer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.mainContainer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 6vh;
    border: 1px solid #725b4b;
    border-radius: 8px;
    margin: 16px;
    padding: 16px;
}

#undoBox {
    position: fixed;
    bottom: 20px;
    left: 20px;

    background: black;
    color: white;

    padding: 12px;
    border-radius: 8px;

    display: none;
}

#userTasks {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
}

.userTask {
    display: flex;
    flex-direction: column;
    border-radius: 8px;
    border: 1px solid #725b4b8e;
    padding: 6px;
    margin: 12px;
    width: 250px;
}

.upperTaskContainer {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.utilButton-container {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}

.util-button {
    background-color: transparent;
    border: 1px solid #6e533f98;
    border-radius: 4px;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 6px;
}

.footer {
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
    padding: 6px;
    margin-top: 64px;
    gap: 12px;
}

/*! create task page */
.createTaskContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
}